program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: soln
call phaml_create(soln,nproc=4)
call phaml_solve_pde(soln, &
                     print_grid_when=PHASES,print_grid_who=MASTER_ALL, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     max_vert=100, &
                     sequential_vert=1000,task=SET_INITIAL, &
                     error_estimator=INITIAL_CONDITION)
call phaml_solve_pde(soln,&
                     print_grid_when=PHASES,print_grid_who=MASTER_ALL, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     sequential_vert=10,task=BALANCE_ONLY)
call phaml_solve_pde(soln, &
                     print_grid_when=PHASES,print_grid_who=MASTER_ALL, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     task=REFINE_ONLY)
call phaml_solve_pde(soln, &
                     print_grid_when=PHASES,print_grid_who=MASTER, &
                     print_linsys_when=PHASES,print_linsys_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     print_error_when=PHASES,print_error_who=MASTER, &
                     print_energy_norm_error=.true., &
                     print_energy_norm_errest=.true., &
                     print_H1_norm_error=.true., &
                     print_H1_seminorm_error=.true., &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     task=SOLVE_ONLY,mg_cycles=5)
call phaml_destroy(soln)
end program phaml_master
